<?php

// Connection Component Binding
Doctrine_Manager::getInstance()->bindComponent('CBR_NOTIFICA_AVOCA', 'doctrine');

/**
 * Description of BaseCBR_NOTIFICA_AVOCA
 *
 * @author MANUEL ENRIQUE PAREDS LOPEZ
 */
abstract class BaseCBR_NOTIFICA_AVOCA extends sfDoctrineRecord {

    public function setTableDefinition() {
        $this->setTableName('CBR_NOTIFICA_AVOCA');

        $this->hasColumn('id_notifica_avoca', 'integer', 20, array(
            'type' => 'integer',
            'fixed' => 0,
            'unsigned' => false,
            'primary' => true,
            'length' => 20,
        ));
        $this->hasColumn('id_avoca_conoc', 'integer', 20, array(
            'type' => 'integer',
            'fixed' => 0,
            'unsigned' => false,
            'primary' => true,
            'length' => 20,
        ));
        $this->hasColumn('id_remision_titulo', 'integer', 20, array(
            'type' => 'integer',
            'fixed' => 0,
            'unsigned' => false,
            'primary' => true,
            'length' => 20,
        ));
        $this->hasColumn('fecha', 'timestamp', 7, array(
            'notnull' => true,
            'type' => 'timestamp',
            'fixed' => 0,
            'unsigned' => false,
            'primary' => false,
            'length' => 7,
        ));
        $this->hasColumn('observaciones', 'string', 4000, array(
            'notnull' => true,
            'type' => 'string',
            'fixed' => 0,
            'unsigned' => false,
            'primary' => false,
            'length' => 4000,
        ));
        $this->hasColumn('adjunto', 'string', 100, array(
            'notnull' => true,
            'type' => 'string',
            'fixed' => 0,
            'unsigned' => false,
            'primary' => false,
            'length' => 100,
        ));
        $this->hasColumn('estado', 'integer', 1, array(
            'notnull' => true,
            'type' => 'integer',
            'fixed' => 0,
            'unsigned' => false,
            'primary' => false,
            'length' => 1,
        ));
        $this->hasColumn('fecha_log', 'timestamp', 7, array(
            'notnull' => true,
            'type' => 'timestamp',
            'fixed' => 0,
            'unsigned' => false,
            'primary' => false,
            'length' => 7,
        ));
        $this->hasColumn('usuario_log', 'integer', 20, array(
            'notnull' => true,
            'type' => 'integer',
            'fixed' => 0,
            'unsigned' => false,
            'primary' => false,
            'length' => 20,
        ));
    }

    public function setUp() {
        parent::setUp();


        $this->hasMany('CBR_REMISION_TITULO', array(
            'local' => 'id_remision_titulo',
            'foreign' => 'id_remision_titulo'));

        $this->hasMany('CBR_AVOCA_CONOC', array(
            'local' => 'id_avoca_conoc',
            'foreign' => 'id_avoca_conoc'));
    }

}
